#
# spec file for package perl-HTTPS-Daemon (Version 1.04)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           perl-HTTPS-Daemon
BuildRequires:  perl-IO-Socket-SSL
BuildRequires:  perl-macros
License:        Artistic-1.0
Group:          Development/Libraries/Perl
Requires:       perl-IO-Socket-SSL perl-libwww-perl
AutoReqProv:    on
Summary:        a simple http server class with SSL support
Version:        1.04
Release:        70.37
Source:         HTTP-Daemon-SSL-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%{perl_requires}

%description
HTTP::Daemon::SSL is a descendant of HTTP::Daemon that uses SSL sockets
(via IO::Socket::SSL) instead of cleartext sockets.  It also handles
SSL-specific problems, such as dealing with HTTP clients that attempt
to connect to it without using SSL.

%prep
%setup -n HTTP-Daemon-SSL-%{version}
# ---------------------------------------------------------------------------

%build
perl Makefile.PL
make %{?_smp_mflags}
rm -rf certs/.svn
#make test
# ---------------------------------------------------------------------------

%install
make DESTDIR=$RPM_BUILD_ROOT \
	 INSTALLMAN3DIR=$RPM_BUILD_ROOT/%{_mandir}/man3 \
	 install_vendor
%perl_process_packlist

%files
%defattr(-,root,root)
%{perl_vendorlib}/HTTP
%{perl_vendorarch}/auto/HTTP
%doc BUGS Changes MANIFEST README
%doc %{_mandir}/man3/*
%doc certs

%changelog
* Wed Dec  8 2010 coolo@novell.com
- simplify spec file a bit
* Wed Dec  1 2010 coolo@novell.com
- switch to perl_requires macro
* Mon Nov 29 2010 coolo@novell.com
- remove /var/adm/perl-modules
* Sun Nov 28 2010 coolo@novell.com
- remove .packlist file
* Thu Apr  8 2010 dmueller@suse.de
- add missing perl version dependency
* Sun Jan 10 2010 jengelh@medozas.de
- enable parallel build
* Mon Apr  7 2008 ug@suse.de
- .svn dir dropped from package
* Fri Apr  4 2008 ug@suse.de
- version update from 1.02 to 1.04
- removes unnecessary _need_more
- which, by side effect, fixes two outstanding bugs:
  http://rt.cpan.org/Ticket/Display.html?id=21395
  http://rt.cpan.org/Ticket/Display.html?id=15470
- Fixes problem where accep() will never timeout
  http://rt.cpan.org/Ticket/Display.html?id=28417
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Thu Sep 29 2005 dmueller@suse.de
- add norootforbuild
* Tue Aug  2 2005 ro@suse.de
- disable make test for the moment, it hangs
* Fri Jan 21 2005 ug@suse.de
- version update from 1.01 to 1.02
- Async updates
- Documentation update to mention SSL certificates.
- Update to URL function to return 'https' instead of 'http'
* Mon Aug 25 2003 ug@suse.de
- initial package
